AlgorithmImpl< BASE, ALGORITHM_INFO > Class Template Reference

Base class for identifying alogorithm. More...

Inheritance diagram for AlgorithmImpl< BASE, ALGORITHM_INFO >:

## Public Member Functions

std::string | AlgorithmName () const

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class BASE, class ALGORITHM_INFO = BASE>
class AlgorithmImpl< BASE, ALGORITHM_INFO >

Base class for identifying alogorithm.

Template Parameters

  BASE | an Algorithm derived class
  ALGORITHM_INFO | an Algorithm derived class

AlgorithmImpl provides StaticAlgorithmName from the template parameter BASE

Definition at line 38 of file simple.h.

The documentation for this class was generated from the following file:

- simple.h